Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.plugins.helpers.jmx
Class Server

    java.lang.Object
      org.jboss.console.plugins.helpers.jmx.Server

public class Server
extends Object

Utility methods related to the MBeanServer interface

Version:
  $Revision: 1.4 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`Server()`

Method Summary
`static Iterator` | `getDomainData(String filter)`
`static String` | `getMBeanAttribute(String name, String attrName)`
`static Object` | `getMBeanAttributeObject(String name, String attrName)`
`static AttrResultInfo` | `getMBeanAttributeResultInfo(String name, javax.management.MBeanAttributeInfo attrInfo)`
`static MBeanData` | `getMBeanData(String name)`
`static javax.management.MBeanServer` | `getMBeanServer()`
`static OpResultInfo` | `invokeOp(String name, int index, String[] args)`
`static OpResultInfo` | `invokeOpByName(String name, String opName, String[] argTypes, String[] args)`
`static javax.management.AttributeList` | `setAttributes(String name, HashMap attributes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Server

    public Server()

Method Detail

### getMBeanServer

    public static javax.management.MBeanServer getMBeanServer()
                                                       throws javax.management.JMException

  Throws:
    `javax.management.JMException`

### getDomainData

    public static Iterator getDomainData(String filter)
                                  throws javax.management.JMException

  Throws:
    `javax.management.JMException`

### getMBeanData

    public static MBeanData getMBeanData(String name)
                                  throws javax.management.JMException

  Throws:
    `javax.management.JMException`

### getMBeanAttributeObject

    public static Object getMBeanAttributeObject(String name,
                                                 String attrName)
                                          throws javax.management.JMException

  Throws:
    `javax.management.JMException`

### getMBeanAttribute

    public static String getMBeanAttribute(String name,
                                           String attrName)
                                    throws javax.management.JMException

  Throws:
    `javax.management.JMException`

### getMBeanAttributeResultInfo

    public static AttrResultInfo getMBeanAttributeResultInfo(String name,
                                                             javax.management.MBeanAttributeInfo attrInfo)
                                                      throws javax.management.JMException

  Throws:
    `javax.management.JMException`

### setAttributes

    public static javax.management.AttributeList setAttributes(String name,
                                                               HashMap attributes)
                                                        throws javax.management.JMException

  Throws:
    `javax.management.JMException`

### invokeOp

    public static OpResultInfo invokeOp(String name,
                                        int index,
                                        String[] args)
                                 throws javax.management.JMException

  Throws:
    `javax.management.JMException`

### invokeOpByName

    public static OpResultInfo invokeOpByName(String name,
                                              String opName,
                                              String[] argTypes,
                                              String[] args)
                                       throws javax.management.JMException

  Throws:
    `javax.management.JMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.